Notploy
Endpoint reference

Audit Log

Audit Log all

GET
/auditLog.all
x-api-key<token>

API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.

In: header

Query Parameters

search?string
Lengthlength <= 200
userId?string
userEmail?string
resourceName?string
action?string
Value in"create" | "update" | "delete" | "read" | "deploy" | "cancel" | "redeploy" | "login" | "logout" | "restore" | "run" | "start" | "stop" | "reload" | "rebuild" | "move"
resourceType?string
Value in"project" | "service" | "environment" | "deployment" | "user" | "customRole" | "domain" | "certificate" | "registry" | "server" | "sshKey" | "gitProvider" | "destination" | "notification" | "settings" | "session" | "port" | "redirect" | "security" | "schedule" | "backup" | "volumeBackup" | "docker" | "swarm" | "previewDeployment" | "organization" | "cluster" | "mount" | "application" | "compose" | "network" | "vaultProvider" | "dnsProvider" | "objectStorage"
from?string
to?string
sortOrder?string
Default"desc"
Value in"asc" | "desc"
limit?number
Default50
Range1 <= value <= 500
offset?number
Default0
Range0 <= value

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-notploy-instance.com/api/auditLog.all"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}